%global octpkg doctest
%global __provides_exclude_from ^%{octpkglibdir}/.*\\.oct$

Name:           octave-%{octpkg}
Version:        0.4.1
Release:        3%{?dist}
Summary:        Documentation tests for Octave
Group:          Applications/Engineering
License:        BSD
URL:            http://octave.sourceforge.net/%{octpkg}/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
# merged upstream
Patch0:         0001-Workaround-arm-bug.patch

BuildRequires:  binutils
BuildRequires:  octave-devel
BuildRequires:  texinfo >= 6.0

Requires:       octave(api) = %{octave_api}
Requires:       texinfo >= 6.0
Requires(post): octave
Requires(postun): octave


%description
The Octave-forge Doctest package finds specially-formatted blocks of
example code within documentation files.  It then executes the code
and confirms the output is correct.  This can be useful as part of a
testing framework or simply to ensure that documentation stays
up-to-date during software development.

%prep
%setup -q -n %{octpkg}-%{version}
%patch0 -p1

%build
%octave_pkg_build

%install
%octave_pkg_install
mkdir -p %{buildroot}%{_datadir}/appdata/
cp -p octave-%{octpkg}.metainfo.xml %{buildroot}%{_datadir}/appdata/

%check
# this command from upstream Makefile (not in release tarball)
octave -H -q --no-window-system --no-site-file \
       --path %{_builddir}/%{buildsubdir}/inst \
       --path %{_builddir}/%{buildsubdir}/src \
       --eval 'r=doctest({"doctest","test/","test/examples/"}); exit(~r);'

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%{octpkglibdir}
%dir %{octpkgdir}
%{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/private
%license %{octpkgdir}/packinfo/COPYING
%{octpkgdir}/packinfo/NEWS
%{octpkgdir}/packinfo/DESCRIPTION
%{octpkgdir}/packinfo/INDEX
%{octpkgdir}/packinfo/*.m
%{_datadir}/appdata/octave-%{octpkg}.metainfo.xml

%changelog
* Wed Feb 03 2016 Colin B. Macdonald <cbm@m.fsf.org> - 0.4.1-3
- Address reviewer comments
- Add BR binutils, add __provides_exclude, drop metainfo validate
- Update patch status

* Wed Jan 20 2016 Colin B. Macdonald <cbm@m.fsf.org> - 0.4.1-2
- Fix for arm arch
- List texinfo dep (although octave already should pull it in)

* Tue Jan 19 2016 Colin B. Macdonald <cbm@m.fsf.org> - 0.4.1-1
- Version bump, enable tests
- Fix incorrect license

* Fri Jul 03 2015 Colin B. Macdonald <cbm@m.fsf.org> - 0.4.0-1
- initial package for Fedora
